<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Sign Up</title>
    <link href="static/css/container.css" rel="stylesheet">
    <link href="static/css/sign.css" rel="stylesheet">
<style>
#ii {
    color:brown;
    border-color:brown;
}
</style>
</head>
<body>
    <div class="container">
        <form action="signup" class="window" autocomplete="off" method="POST" id="fo">
            <div class="body">
                <input type="text" placeholder="ID" name="ID" id="ii" readonly value="{{.Key}}">
                <input type="password" placeholder="PASS">
                <input type="password" placeholder="RE-PASS" name="re-pass">
                <input type="text" placeholder="NAME" name="REAL-NAME">
                <input type="text" placeholder="CODE" name="CODE">
                <input type="hidden" name="PASS">
            </div>
            <div class="footer">
                <button id="signup">Sign Up</button>
            </div>
        </form>
    </div>
</body>
<script src="//cdnjs.cloudflare.com/ajax/libs/blueimp-md5/2.10.0/js/md5.min.js"></script>
<script>
    var fo = document.getElementById("fo");
    var inputs = document.getElementsByClassName("body")[0].children;
    var reg1 = /[가-힣]$/;
    var reg2 = /[0-9a-zA-Z]$/;
    fo.onsubmit = () => {
        for (i=1; i<inputs.length-1; i++)
        {
            if (inputs[i].value=="")
            {
                alert("빈칸을 모두 채워주세요");
                return false;
            }
        }
        if (inputs[1].value != inputs[2].value)
        {
            alert("입력하신 비밀번호가 일치하지 않습니다.");
            return false;
        }
        if (!reg1.test(inputs[3].value))
        {
            alert("이름에는 한글만 입력 할 수 있습니다.");
            return false;
        }
        if(!reg2.test(inputs[4].value))
        {
            alert("유효하지 않은 코드가 입력되었습니다.");
            return false;
        }
        inputs[5].value = md5(inputs[1].value);
    }
</script>
</html>